package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsCheckDevice;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0设备档案管理 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-21
 */
public interface IJsCheckDeviceService extends IService<JsCheckDevice> {

    AjaxResult add(JsCheckDevice checkDevice);

    AjaxResult edit(JsCheckDevice checkDevice);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String deviceNum, String deviceName);

    AjaxResult listAll();
}
